%global commit 8b28893b24326e4701378ea65753d2a35016e264
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           petpvc
Version:        0.0.0
Release:        0.4.git%{shortcommit}%{?dist}
Summary:        Tools for partial volume correction (PVC) in positron emission tomography (PET) 

License:        ASL 2.0
URL:            https://github.com/UCL/PETPVC
Source0:        https://github.com/UCL/PETPVC/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  InsightToolkit-devel gdcm-devel
BuildRequires:  fftw-devel
BuildRequires:  vxl-devel

%description
%{summary}.

%prep
%autosetup -n PETPVC-%{commit}

mkdir build

%build
pushd build
  export ITK_DIR=%{_libdir}/cmake/InsightToolkit
  %cmake ../ -DCMAKE_CXX_FLAGS:STRING="$CXXFLAGS -std=gnu++98"
  %make_build
popd

%install
pushd build
  %make_install
popd

%check
pushd build
  ctest -VV \
  %ifarch %{arm}
    || :
  %else
    ;
  %endif
popd

%files
%license LICENSE.txt
%doc README.md
%{_bindir}/%{name}
%{_bindir}/pvc_*

%changelog
* Sun May  8 2016 Peter Robinson <pbrobinson@fedoraproject.org> 0.0.0-0.4.git8b28893
- Build with gnu++98 until dependencies support c++11 (fix FTBFS)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.0-0.3.git8b28893
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 29 2016 Orion Poplawski <orion@cora.nwra.com> - 0.0.0-0.2.git8b28893
- Rebuild for hdf5 1.8.16

* Sat Dec 12 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.0.0-0.1.git8b28893
- Update with new upstream repo
- Fix things according review

* Sat Dec 05 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.0.0-0.1.git775857a
- Initial package
